Spigot Rankup 3.6.1

An easy-to-setup and lightweight rankup system with a GUI!

  1. Hi !
    I am using this plugin in my 1.15.2 server.
    I put requirements for being a knight as having an iron sword.
    However plugin accepts a damaged iron sword for rankup.
    Moreover damaged iron sword remains in the player.
    Is there a fix for this ?
     
  2. Okx

    Okx

    The item requirement is a little bugged right now, I'd recommend not using it until I fix it.
     
  3. I see. Then I am gonna change requirements a little.
    I hope you can fix it soon.
     
  4. podrías añadir una variable de progreso
    ?
     
  5. I'm running paper 1.15 and the plugin fails after the restarts. i use /rankup3 reload and everything works again.
     
  6. Would pay a lot of money for this if you added MYSQL Support for tracking the time played so i can track users time across each server.
     
  7. I have my config file set for GUI but when you type /ranks it still list all the rankup in text. Does anyone have an idea why this would be happening
     
  8. /ranks is text-based it's /rankup thats GUI based

    I'm also waiting for him to do /ranks in a customizable GUI before i use the plugin. I asked him last month about it and he said he was working on it, not sure if he has made any more progress.

    @Okx
     
  9. I keep getting an error in console that says '[Rankup] Could not find a first rank. First ranks must not have anything that ranks up to them.'

    However attached is my rankup file...nothing ranks up to my first rank. Please help
     

    Attached Files:

  10. I am trying to add prestige after 5 ranks but when I type /prestige when I am rank 5, it says that I need to be a higher level to prestige and when I type /rankup, it says that I need to Prestige first. Thanks for the plugin though it is really good. I love the prestige idea
     
  11. I think the wiki is outdated... Just tried the following setup:
    Code (Text):
    a:
      rank: 'a'
      next: 'b'
      requirements:
        default: # used when a player hasn't prestiged
          - money 100
        p1: # used in p1
          - money 200
        p2: # used in p2
          - money 300
    Console returned:
    Code (Text):
    [09:33:30] [Server thread/INFO]: Eroserv issued server command: /rankup
    [09:33:30] [Server thread/ERROR]: [Rankup] Rankup/prestige section 'a' is using the old requirements system.
    [09:33:30] [Server thread/ERROR]: [Rankup] Instead of a configuration section, it is now a list of strings.
    [09:33:30] [Server thread/ERROR]: [Rankup] For example, instead of "requirements: money: 1000" you should use "requirements: - 'money 1000'".
     
  12. Okx

    Okx

    Your version of Rankup is outdated. Use 3.8.1. https://www.spigotmc.org/resources/rankup.76964/
     
  13. Is this Plugin compatible with UltraPermissions?
     
  14. When I run the /rankup command, I get the error"Sorry, but we could not find any rankups for the group(s) you are in. Use /ranks to list the rankups." I used lp editor to put myself into my default rank but it doesn't change anything.
     
    • Like Like x 1
  15. Will there be support for Jobs plugin like ''jobs levels req''
     
    • Like Like x 1
  16. Same problem here
    If you could fix this before 1.17 i’d be so grateful!
    Or just help out if the problem is caused by myself.